import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
import { message } from './message';

const csvUrl = 'https://gist.githubusercontent.com/vdvoorder/c16f6f4f7ccc9832984101b96918e3af/raw/anscombe-tidy.csv'

const App = () => {
  const [data, setData] = useState(null);
	
  useEffect(() => {
    csv(csvUrl).then(setData);
  },
	[]);
  
  return <pre>{data ? message(data) : 'Loading...'}</pre>;
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);

